Package wx :: Class ImageHistogram

[frames | no frames]

## Type ImageHistogram

    object --+
             |
            ImageHistogram

Proxy of C++ ImageHistogram class

Method Summary
ImageHistogram | `__init__(self)`
(success, r, g, b) | ``FindFirstUnusedColour`(startR, startG, startB)` Find first colour that is not used in the image and has higher RGB values than startR, startG, startB.
| ``GetCount`(*args, **kwargs)` GetCount(self, unsigned long key) -> unsigned long
unsigned long | ``GetCountColour`(self, colour)` Returns the pixel count for the given `wx.Colour` value.
unsigned long | ``GetCountRGB`(self, r, g, b)` Returns the pixel count for the given RGB values.
unsigned long | ``MakeKey`(r, g, b)` Get the key in the histogram for the given RGB values (Static method)

Property Summary
| `thisown`: The membership flag

Instance Method Details

### FindFirstUnusedColour(startR=1, startG=0, startB=0)

Find first colour that is not used in the image and has higher RGB values than startR, startG, startB. Returns a tuple consisting of a success flag and rgb values.

  Parameters:
    `startR`
    (type=int)

    `startG`
    (type=int)

    `startB`
    (type=int)

  Returns:
    (success, r, g, b)

### GetCount(*args, **kwargs)

GetCount(self, unsigned long key) -> unsigned long

Returns the pixel count for the given key. Use `MakeKey` to create a key value from a RGB tripple.

### GetCountColour(self, colour)

Returns the pixel count for the given `wx.Colour` value.

  Parameters:
    `colour`
    (type=Colour)

  Returns:
    unsigned long

### GetCountRGB(self, r, g, b)

Returns the pixel count for the given RGB values.

  Parameters:
    `r`
    (type=byte)

    `g`
    (type=byte)

    `b`
    (type=byte)

  Returns:
    unsigned long

Static Method Details

### MakeKey(r, g, b)

Get the key in the histogram for the given RGB values

  Parameters:
    `r`
    (type=byte)

    `g`
    (type=byte)

    `b`
    (type=byte)

  Returns:
    unsigned long

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:09 2007 | http://epydoc.sf.net